import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner scan = new Scanner(System.in);

        System.out.print("Enter Int Value 1: ");
        int intValue1 = scan.nextInt();

        System.out.print("Enter Int Value 2: ");
        int intValue2 = scan.nextInt();

        if(intValue1 == intValue2) {
            System.out.println("Int Value 1 equals Int Value 2");
        } else {
            System.out.println("Int Value 1 does not equal Int Value 2");
        }

        if(intValue1 > intValue2) {
            System.out.println("Int Value 1 is greater than Int Value 2");
        } else if(intValue1 < intValue2) {
            System.out.println("Int Value 1 is less than Int Value 2");
        } else {
            System.out.println("Int Value 1 is equal to Int Value 2");
        }

        if(intValue1 < 100 && intValue1 > 50) {
            System.out.println("Int Value 1 is greater than 50 AND less than 100");
        } else {
            System.out.println("Int Value 1 is NOT greater than 50 AND less than 100");
        }

        if(intValue2 < 25 || intValue2 > 50) {
            System.out.println("Int Value 2 is less than 25 OR greater than 50");
        } else {
            System.out.println("Int Value 2 is NOT less than 25 OR greater than 50");
        }

        System.out.print("Enter String Value 1: ");
        String stringValue1 = scan.nextLine();

        System.out.print("Enter String Value 2: ");
        String stringValue2 = scan.nextLine();

        if(stringValue1.equals(stringValue2)) {
            System.out.println("String Value 1 is equal to String Value 2");
        } else if(stringValue1.equalsIgnoreCase(stringValue2)) {
            System.out.println("String Value 1 is equal to String Value 2 if you ignore case");
        } else {
            System.out.println("String Value 1 does not equal String Value 2");
        }

        if(intValue1 != 42) {
            System.out.println("Int Value 1 does not equal 42");
        } else {
            System.out.println("Int Value 1 equals 42");
        }

        scan.close();
    }
}